<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tofly.xrtygis.custom.mapper.CustomGsMapper">

    <update id="updateGdInfo">
        update TF_YWPN_GDINFO_W
        set DJRY = #{userId}
        where GDBH in
        <foreach collection="list" item="bh" open="(" separator="," close=")">
            #{bh}
        </foreach>
    </update>

    <select id="getUserId" resultType="long">
        select ID from TF_SMPN_USER_X where DEPARTMENT_ID = #{deptId}
    </select>

</mapper>